uk.gov.hmrc.mongo

# test

#### package test

Visibility

1. Public
2. All

### Type Members

1. #### trait CleanMongoCollectionSupport extends MongoCollectionSupport with BeforeAndAfterEach

2. #### trait DefaultMongoCollectionSupport extends CleanMongoCollectionSupport with IndexedMongoQueriesSupport

3. #### trait IndexedMongoQueriesSupport extends MongoCollectionSupport with BeforeAndAfterAll

   Causes queries which don't use an index to generate com.mongodb.MongoQueryException or com.mongodb.MongoWriteException containing message 'No query solutions'

4. #### trait MongoCollectionSupport extends MongoSupport

5. #### trait MongoSupport extends ScalaFutures

### Ungrouped